<?php
/*

# ------------------------------------------------------------------------
# JA Corona template for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

include_once (dirname(__FILE__).DS.'ja_vars_1.5.php');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>

<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/editor.css" type="text/css" />

<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/typo.css" type="text/css" />

<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/js/ja.script.js"></script>

<!-- Menu head -->
<?php $jamenu->genMenuHead(); ?>

<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo $tmpTools->getParam(JA_TOOL_COLOR); ?>.css" rel="stylesheet" type="text/css" />

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {height: 1%;}
img {border: none;}
</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {display: inline-block;}
</style>
<![endif]-->

<!--[if gt IE 7]>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie8.css" rel="stylesheet" type="text/css" />
<![endif]-->

<?php if ($tmpTools->isIE6()) { ?>
<script type="text/javascript">
var siteurl = '<?php echo $tmpTools->baseurl();?>';

window.addEvent ('load', makeTransBG);
function makeTransBG() {
	makeTransBg($('ja-header'));
	makeTransBg($$('h1.logo a'));
	makeTransBg($$('#ja-mainnav img'));
	makeTransBg($('ja-footer'));
	makeTransBg($$('#ja-footer img'));
}
</script>

<?php } ?>
<script type="text/javascript">
/*<![CDATA[*/
document.write ('<style type="text\/css">#ja-mainnav ul{visibility: hidden;}<\/style>');
/*]]>*/
</script>

</head>

<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>" >
<a name="Top" id="Top"></a>
<ul class="accessibility">
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-content" title="<?php echo JText::_("Skip to content");?>"><?php echo JText::_("Skip to content");?></a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-mainnav" title="<?php echo JText::_("Skip to main navigation");?>"><?php echo JText::_("Skip to main navigation");?></a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-col1" title="<?php echo JText::_("Skip to 1st column");?>"><?php echo JText::_("Skip to 1st column");?></a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-col2" title="<?php echo JText::_("Skip to 2nd column");?>"><?php echo JText::_("Skip to 2nd column");?></a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-col3" title="<?php echo JText::_("Skip to 3nd column");?>"><?php echo JText::_("Skip to 2nd column");?></a></li>
</ul>

<div id="ja-wrapper-top">
<div id="ja-wrapper">

<!-- BEGIN: HEADER -->
<div id="ja-headerwrap">
<div id="ja-header" class="clearfix">

	<h1 class="logo">
		<a href="index.php" title="<?php echo $tmpTools->siteName(); ?>"><span><?php echo $tmpTools->siteName(); ?></span></a>
	</h1>

	<!-- BEGIN: MAIN NAVIGATION -->
	<div id="ja-mainnav" class="clearfix">
		<?php $jamenu->genMenu (0); ?>
	</div>
	<!-- END: MAIN NAVIGATION -->
	
	<!-- BEGIN: USER TOOLS -->
  <?php if ($tmpTools->getParam(JA_TOOL_USER)) { ?>
  <div id="ja-usertools">
  	<?php $tmpTools->genToolMenu($tmpTools->getParam(JA_TOOL_USER)); ?>
  </div>
  <?php } ?>
	<!-- END: USER TOOLS -->

</div>
</div>
<!-- END: HEADER -->

<!-- BEGIN: SEARCH + SUBNAV -->
<div id="ja-subnavwrap">

	<?php if($this->countModules('user4')) : ?>
		<div id="ja-search">
			<jdoc:include type="modules" name="user4" />
		</div>
	<?php endif; ?>

	<?php if ($hasSubnav) { ?>
	<div id="ja-subnav" class="clearfix">
	<?php $jamenu->genMenu (1,1); ?>
	</div>
	<?php }else if($ja_menutype == 'dropline'){
	?>
	<div id="ja-subnav" class="clearfix">
	<?php $jamenu->genMenu (1,1); ?>
	</div>
	<?php } ?>

</div>
<!-- END: SEARCH + SUBNAV -->

<div id="ja-mainwrap">

<!-- BEGIN: TOP SPOTLIGHT -->
<?php if( $this->countModules('user1 or user2 or top') ) {?>
<div id="ja-topslwrap" class="clearfix">
	<?php
	$spotlight = array ('user1','user2');
	$topsl = $tmpTools->calSpotlight ($spotlight,99.9);
	$sl1 = $this->countModules('top')?'60%':'100%';
	$sl2 = $topsl?'40%':'100%';
	if( $topsl ) {
	?>
	<div id="ja-topsl1" class="ja-box-br" style="width:<?php echo $sl1;?>; float: left;">
	<div class="ja-box-bl"><div class="ja-box-tr"><div class="ja-box-tl clearfix">
	
	  <?php if( $this->countModules('user1') ) {?>
	  <div class="ja-box<?php echo $topsl['user1']['class']; ?>" style="width: <?php echo $topsl['user1']['width']; ?>;">
			<jdoc:include type="modules" name="user1" style="xhtml" />
	  </div>
	  <?php } ?>
	
	  <?php if( $this->countModules('user2') ) {?>
	  <div class="ja-box<?php echo $topsl['user2']['class']; ?>" style="width: <?php echo $topsl['user2']['width']; ?>;">
			<jdoc:include type="modules" name="user2" style="xhtml" />
	  </div>
	  <?php } ?>

	</div></div></div></div>
	<?php } ?>

	<?php if( $this->countModules('top') ) {?>
	<div id="ja-topsl2" class="ja-box-br" style="width:<?php echo $sl2;?>; float: right;">
	<div class="ja-box-bl"><div class="ja-box-tr"><div class="ja-box-tl clearfix">
		<jdoc:include type="modules" name="top" style="xhtml" />
	</div></div></div></div>
	<?php } ?>

</div>
<?php } ?>
<!-- END: TOP SPOTLIGHT -->

<div id="ja-containerwrap<?php echo $divid; ?>">
<div id="ja-container">
<div id="ja-container-top">
<div id="ja-container-bot" class="clearfix">
<div id="ja-container-inner1">
<div id="ja-container-inner2" class="clearfix">

	<!-- BEGIN: CONTENT -->
	<div id="ja-content">
	<div class="ja-innerpad clearfix">

		<jdoc:include type="message" />

		<?php if($tmpTools->isFrontPage()) : ?>
		<div id="ja-breadcrumb">
			<jdoc:include type="module" name="breadcrumbs" />
		</div>
		<?php endif ; ?>

		<jdoc:include type="component" />
	
		<?php if($this->countModules('user5')) : ?>
		<div class="ja-box-br" style="margin-top: 15px;">
		<div class="ja-box-bl"><div class="ja-box-tr"><div class="ja-box-tl clearfix">
			<jdoc:include type="modules" name="user5" />
		</div></div></div></div>
		<?php endif; ?>

		<?php if($this->countModules('banner')) : ?>
		<!-- BEGIN: BANNER -->
		<div id="ja-banner">
			<jdoc:include type="modules" name="banner" />
		</div>
		<!-- END: BANNER -->
		<?php endif; ?>

	</div>
	</div>
	<!-- END: CONTENT -->
		
	<?php if ($ja_left || $ja_right) { ?>
	<!-- BEGIN: COLUMNS -->
	<div id="ja-colwrap">

		<?php if ($ja_left) { ?>
		<div id="ja-col1">
			<jdoc:include type="modules" name="left" style="xhtml" />
		</div>
		<?php } ?>

		<?php if ($ja_right) { ?>
		<div id="ja-col2">
			<jdoc:include type="modules" name="right" style="xhtml" />
		</div>
		<?php } ?>


	</div><br />
	<!-- END: COLUMNS -->
	<?php } ?>

</div></div></div></div></div></div>

</div>

<!-- BEGIN: FOOTER -->
<div id="ja-footerwrap">
<div id="ja-footer" class="clearfix">

	<div class="copyright">
		<jdoc:include type="modules" name="user3" />
		<jdoc:include type="modules" name="footer" />
	</div>
	
	<div class="ja-cert">
		<?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                             <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
<?php } ?>
	</div>

</div>
</div>
<!-- END: FOOTER -->

</div>
</div>

<jdoc:include type="modules" name="debug" />

</body>

</html>
